/**
 * map.js
 */

Ext.Loader.setConfig({
    enabled: true
});

Ext.Loader.setPath('Ext.ux', '../../res/extjs/examples/ux');

Ext.require([
    'Ext.grid.*',
    'Ext.data.*',
    'Ext.ux.RowExpander',
    'Ext.selection.CheckboxModel'
]);

var sm = Ext.create('Ext.selection.CheckboxModel');
var myMask;
var baseUrl = "";
var theme = "";
var mapStyle = "";
var map;
var mapzoom = 11;
var company_cur = 0;
var StatusStore = null,
    AlarmStore = null;
var firstDraw = true;
var storeTime = 60000;
var centerLng = 121.475644;
var currentLng = 121.475644;
var centerLat = 31.1857;
var currentLat = 31.1857;
var rotation = 0;
var alarm_show_window = null;
var show_alarm_list;
var show_list_cur = 0
var V_LOGINNAME = '',
    V_PASSWORD = '';
var listSync = true;
var synctime = 0;
var company_code = '';
var start = 0;
var end = 360;
var targetZoom = 20;
var maxHeight = 10000;
var maxWidth = 10000;
var SearchList = null;
var markers = [];
var current_company_code = "";
var LabelShow = false;
var MapShow = false;
var last_move;
var wsUri = "wss://iot.usky.cn:55120";
var websocket = null;

var win1_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">火灾监控</td><td id="win1-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-12" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-11"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 100,
    left: 50,
    zIndex: 200,
    bodyText: '<div id="win1" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_1" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_fireAlarm()"></td></tr><tr><td id="data_label_11" class="data_bar_total_label" style="width:80px;" onclick="show_all_fireAlarm()">报告总数</td><td id="data_number_11" class="data_bar_total_number" style="width:100px;" onclick="show_all_fireAlarm()"></td></tr><tr><td id="data_label_12" class="data_bar_alarm_label" onclick="show_all_fireAlarm()">待处理</td><td id="data_number_12" class="data_bar_alarm_number" onclick="show_all_fireAlarm()"></td></tr></table></div>'
}

var win2_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">电气火灾监控</td><td id="win2-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-22" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-21"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 260,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win2" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_2" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_efireAlarm()"></td></tr><tr><td id="data_label_21" class="data_bar_total_label" style="width:80px;" onclick="show_all_efireAlarm()">报告总数</td><td id="data_number_21" class="data_bar_total_number" style="width:100px;" onclick="show_all_efireAlarm()"></td></tr><tr><td id="data_label_22" class="data_bar_alarm_label" onclick="show_all_efireAlarm()">待处理</td><td id="data_number_22" class="data_bar_alarm_number" onclick="show_all_efireAlarm()"></td></tr></table></div>'
}

var win3_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">水系统监控</td><td id="win3-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-32" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-31"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 420,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win3" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_3" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_31" class="data_bar_total_label" style="width:80px;" onclick="show_all_waterAlarm()">报告总数</td><td id="data_number_31" class="data_bar_total_number" style="width:100px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_32" class="data_bar_alarm_label" onclick="show_all_waterAlarm()">待处理</td><td id="data_number_32" class="data_bar_alarm_number" onclick="show_all_waterAlarm()"></td></tr></table></div>'
}

var win4_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">RTU监控</td><td id="win4-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-42" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-41"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 580,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win4" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_4" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_rtuAlarm()"></td></tr><tr><td id="data_label_41" class="data_bar_total_label" style="width:80px;" onclick="show_all_rtuAlarm()">报告总数</td><td id="data_number_41" class="data_bar_total_number" style="width:100px;" onclick="show_all_rtuAlarm()"></td></tr><tr><td id="data_label_42" class="data_bar_alarm_label" onclick="show_all_rtuAlarm()">待处理</td><td id="data_number_42" class="data_bar_alarm_number" onclick="show_all_rtuAlarm()"></td></tr></table></div>'
}

var dev1_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">火灾监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev1_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev1-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev1-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 219,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev1" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_12" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_13" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_14" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_fireDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_14" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}

var dev2_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">电气火灾监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev2_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev2-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev2-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 379,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev2" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_22" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_23" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_24" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_efireDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_24" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var dev3_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">水系统监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev3_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev3-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev3-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 539,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev3" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_32" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_33" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_34" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_waterDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_34" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var dev4_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">RTU监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev4_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev4-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev4-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 699,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev4" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px;"><tr><td>已处理:</td><td id="device_count_num_42" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_43" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_44" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_rtuDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_44" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}

var alarm_alert_config = {
    title: '<table border=0 style="width:320px;"><tr><td id="rt_alarm_alert_icon" style="width:24px;height:24px;"></td><td><span id="rt_alarm_alert_title" style="text-align:right;margin-left:10px;font-widght:bold;color:#31e9ff;overflow:hidden;"></span></td><td style="width:32px;color:#ffffff;cursor:pointer;text-align:left;" onclick="close_alert()"><div style="width:16px;height:16px;background-image:url(../../res/img/common/close-tmp.gif)"></div></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid #31e9ff',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    bottom: -100,
    right: 95,
    zIndex: 990,
    bodyText: '<div><table border="0" style="border:0px solid #31e9ff;margin:5px;font-size:9px;color:#ffffff"><tr><td colspan=2 style="height:20px;"><div id="alarm_time" style="margin-top:3px;"></div><div id="alarm_company" style="margin-top:3px;"></div><div id="alarm_device" style="margin-top:3px;"></div></td></tr></table></div>'
}

var winypxy1_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">智能烟感监控</td><td id="win1-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-12" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-11"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 60,
    left: 50,
    zIndex: 200,
    bodyText: '<div id="win1" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_1" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_fireAlarm()"></td></tr><tr><td id="data_label_11" class="data_bar_total_label" style="width:80px;" onclick="show_all_fireAlarm()">报告总数</td><td id="data_number_11" class="data_bar_total_number" style="width:100px;" onclick="show_all_fireAlarm()"></td></tr><tr><td id="data_label_12" class="data_bar_alarm_label" onclick="show_all_fireAlarm()">待处理</td><td id="data_number_12" class="data_bar_alarm_number" onclick="show_all_fireAlarm()"></td></tr></table></div>'
}
var devypxy1_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">智能烟感监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev1_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev1-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev1-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 179,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev1" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_12" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_13" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_14" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_fireDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_14" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var winypxy2_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">电气火灾监控</td><td id="win2-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-22" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-21"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 220,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win2" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_2" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_efireAlarm()"></td></tr><tr><td id="data_label_21" class="data_bar_total_label" style="width:80px;" onclick="show_all_efireAlarm()">报告总数</td><td id="data_number_21" class="data_bar_total_number" style="width:100px;" onclick="show_all_efireAlarm()"></td></tr><tr><td id="data_label_22" class="data_bar_alarm_label" onclick="show_all_efireAlarm()">待处理</td><td id="data_number_22" class="data_bar_alarm_number" onclick="show_all_efireAlarm()"></td></tr></table></div>'
}

var winypxy3_config = {
    title: '<table border=0><tr><td style="width:100px;overflow:hidden">智能水表监控</td><td id="win3-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-32" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-31"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 380,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win3" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_3" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_31" class="data_bar_total_label" style="width:80px;" onclick="show_all_waterAlarm()">报告总数</td><td id="data_number_31" class="data_bar_total_number" style="width:100px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_32" class="data_bar_alarm_label" onclick="show_all_waterAlarm()">待处理</td><td id="data_number_32" class="data_bar_alarm_number" onclick="show_all_waterAlarm()"></td></tr></table></div>'
}

var winypxy4_config = {
    title: '<table border=0><tr><td style="width:140px;overflow:hidden">智能消火栓监控</td><td id="win4-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-42" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-41"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 540,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win4" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_4" rowspan=3 style="width:110px; height:110px; margin-top:-10px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_41" class="data_bar_total_label" style="width:80px;" onclick="show_all_waterAlarm()">报告总数</td><td id="data_number_41" class="data_bar_total_number" style="width:100px;" onclick="show_all_waterAlarm()"></td></tr><tr><td id="data_label_42" class="data_bar_alarm_label" onclick="show_all_waterAlarm()">待处理</td><td id="data_number_42" class="data_bar_alarm_number" onclick="show_all_waterAlarm()"></td></tr></table></div>'
}
var winypxy5_config = {
    title: '<table border=0><tr><td style="width:140px;overflow:hidden">智能井盖监控</td><td id="win5-title-hiden" style="display:none;font-size:9px;font-weight:normal;margin-top:3px;"><span style="width:40px;text-align:right;overflow:hidden;">总数:</span><span id="title-label-52" style="color:#31e9ff;display:inline-block;width:50px;text-align:left;"></span><span style="display:inline-block;width:50px;text-align:right;">处置率:</span><span id="title-label-51"></span></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 120,
    top: 700,
    left: 50,
    zIndex: 260,
    bodyText: '<div id="win5" style="margin-top:-20px;"><table border="0" style="border:0px solid #000;"><tr><td colspan=2 style="height:20px;"></td><td id="data_pie_5" rowspan=3 style="width:110px; height:110px; margin-top:-10px;"></td></tr><tr><td id="data_label_51" class="data_bar_total_label" style="width:80px;">报告总数</td><td id="data_number_51" class="data_bar_total_number" style="width:100px;"></td></tr><tr><td id="data_label_52" class="data_bar_alarm_label">待处理</td><td id="data_number_52" class="data_bar_alarm_number"></td></tr></table></div>'
}
var devypxy2_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">电气火灾监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev2_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev2-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev2-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 339,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev2" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_22" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_23" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_24" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_efireDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_24" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var devypxy3_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">智能水表监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev3_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev3-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev3-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid  rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 499,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev3" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px"><tr><td>已处理:</td><td id="device_count_num_32" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_33" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_34" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_waterDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_34" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var devypxy4_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">智能消火栓监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev4_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev4-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev4-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 659,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev4" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px;"><tr><td>已处理:</td><td id="device_count_num_42" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_43" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_44" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;" onclick="show_all_waterDevice()"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_44" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}
var devypxy5_config = {
    title: '<table><tr><td style="width:145px;overflow:hidden;font-weight:bold;">智能井盖监控设备</td><td><table border=0 style="font-weight:normal;font-size:9px;margin-top:3px;"><tr><td><div style="width:45px;text-align:right;">设备数:</div></td><td><div id="dev5_count" style="color:#31e9ff;width:30px;"></div></td><td><div id="dev5-title-hiden" style="display:none;font-size:9px;text-align:right;">待处理:</div></td><td><div id="dev5-label-hidden" style="display:none;"></div></td></tr></table></td></tr></table>',
    titleColor: '#ffffff',
    titleIconColor: '#ffffff',
    titleBackgroundColor: 'rgba(0,0,0,0.1)',
    backgroundColor: 'rgba(23,21,57,0.2)',
    backgroundImage: 'radial-gradient(circle, rgba(23,21,57,0.2), rgba(9,9,27,0.8))',
    border: '1px solid rgba(0,123,255,0.3)',
    borderRadius: '10px',
    position: 'absolute',
    width: 320,
    height: 100,
    top: 819,
    left: 50,
    zIndex: 200,
    floding: 'true',
    bodyText: '<div id="dev5" style="font-size:9px;font-weight:normal;"><table border="0" style="border:0px solid #000;width:300px;"><tr><td>已处理:</td><td id="device_count_num_52" class="device_confirm_num1"></td><td>待处理:</td><td id="device_count_num_53" class="device_confirm_num2"></td><td>处置率:</td><td id="device_count_num_54" class="device_confirm_num3"></td></tr><tr><td colspan=6 style="height:28px;"><div style="border:0px solid #000;border-radius:3px;width:300px;height:6px;background-color:rgba(255,255,255,0.1);"><div id="device_confirm_54" style="border:0px solid #00a7d1;margin:0px;padding:0px;border-radius:3px;height:6px;width:300px;background-color:#00a7d1"></div></div></td></tr></table></div>'
}

var close_alert = function() {
    removeDIV("rt_alarm_alert");
}

var initWebSocket = function() {
    try {
        if (typeof MozWebSocket == 'function')
            WebSocket = MozWebSocket;
        if (websocket && websocket.readyState == 1)
            websocket.close();
        websocket = new WebSocket(wsUri);
        websocket.onopen = function(evt) {
            var json = {};
            json.agentid = $("#V_LOGINNAME").val();
            console.log("Connected.");
            (function() {})()
            websocket.send(JSON.stringify(json));
        };
        websocket.onclose = function(evt) {
            console.log("DisConnected.");
            (function() {})()
            initWebSocket();
        };
        websocket.onmessage = function(evt) {
            console.log("Received:", evt.data);
            var jData = eval('(' + evt.data + ')');
            if (jData.dwtype != undefined) {
                if (document.getElementById('rt_alarm_alert') != undefined)
                    removeDIV('rt_alarm_alert');
                var alarm_alert = new UNote();
                alarm_alert.create("rt_alarm_alert", "container", alarm_alert_config);
                var Icon = document.createElement('img');
                Icon.width = '32';
                Icon.height = '32';
                Icon.src = "../../res/img/icons/alarm_tab_04.gif"
                if (jData.detype == 1) {
                    Icon.src = "../../res/img/icons/alarm_tab_01.gif"
                } else if (jData.dwtype == 2) {
                    Icon.src = "../../res/img/icons/alarm_tab_03.gif"
                } else if (jData.dwtype == 6) {
                    Icon.src = "../../res/img/icons/alarm_tab_04.gif"
                } else if (jData.dwtype == 7) {
                    Icon.src = "../../res/img/icons/alarm_tab_02.gif"
                } else if (jData.dwtype == 16) {
                    Icon.src = "../../res/img/icons/alarm_tab_05.gif"
                }
                document.getElementById("rt_alarm_alert_icon").innerHTML = "";
                document.getElementById("rt_alarm_alert_icon").appendChild(Icon);
                document.getElementById("rt_alarm_alert_title").innerHTML = jData.evtname;
                document.getElementById("alarm_time").innerHTML = jData.time;
                document.getElementById("alarm_company").innerHTML = jData.company;
                document.getElementById("alarm_device").innerHTML = jData.devicename;
                alarm_alert.show();
                $("#rt_alarm_alert").animate({
                    bottom: '0px'
                });
            }
        };
        websocket.onerror = function(evt) {
            console.log("Error:", evt.data);
            (function() {})()
        };
    } catch (exception) {
        console.log("Exception:", exception);
        (function() {})()
    }
}

var toDecimal = function(x) {
    var f = parseFloat(x);
    if (isNaN(f)) {
        return;
    }
    f = Math.round(x * 100) / 100;
    return f;
}

var bigger_mouseover = function() {
    $("#map_btn_bigger").removeClass('map_btn_bigger_off');
    $("#map_btn_bigger").addClass('map_btn_bigger_on');
}

var bigger_mouseout = function() {
    $("#map_btn_bigger").removeClass('map_btn_bigger_on');
    $("#map_btn_bigger").addClass('map_btn_bigger_off');
}

var bigger_click = function() {
    map.zoomIn();
}

var smaller_mouseover = function() {
    $("#map_btn_smaller").removeClass('map_btn_smaller_off');
    $("#map_btn_smaller").addClass('map_btn_smaller_on');
}

var smaller_mouseout = function() {
    $("#map_btn_smaller").removeClass('map_btn_smaller_on');
    $("#map_btn_smaller").addClass('map_btn_smaller_off');
}

var smaller_click = function() {
    map.zoomOut();
}

var shower_mouseover = function() {
    if (!LabelShow) {
        $("#map_btn_showlaebl").removeClass('map_btn_showlaebl_off');
        $("#map_btn_showlaebl").addClass('map_btn_showlaebl_on');
    }
}

var shower_mouseout = function() {
    if (!LabelShow) {
        $("#map_btn_showlaebl").removeClass('map_btn_showlaebl_on');
        $("#map_btn_showlaebl").addClass('map_btn_showlaebl_off');
    }
}

var shower_click = function() {
    LabelShow = !LabelShow;
    if (LabelShow) {
        $("#map_btn_showlaebl").removeClass('map_btn_showlaebl_on');
        $("#map_btn_showlaebl").addClass('map_btn_hidelabel');
        $(".info").removeClass('hiden');
        $(".info").addClass('shown');
    } else {
        $("#map_btn_showlaebl").removeClass('map_btn_hidelabel');
        $("#map_btn_showlaebl").addClass('map_btn_showlaebl_on');
        $(".info").removeClass('shown');
        $(".info").addClass('hiden');
    }
}

var left_mouseover = function() {
    $("#map_btn_left").removeClass('map_btn_left_off');
    $("#map_btn_left").addClass('map_btn_left_on');
}

var left_mouseout = function() {
    $("#map_btn_left").removeClass('map_btn_left_on');
    $("#map_btn_left").addClass('map_btn_left_off');
}

var left_click = function() {
    rotation = map.getRotation();
    rotation -= 5;
    if (rotation < 0)
        rotation = 360 + rotation;
    map.setRotation(rotation);
    draw_all();
}

var right_mouseover = function() {
    $("#map_btn_right").removeClass('map_btn_right_off');
    $("#map_btn_right").addClass('map_btn_right_on');
}

var right_mouseout = function() {
    $("#map_btn_right").removeClass('map_btn_right_on');
    $("#map_btn_right").addClass('map_btn_right_off');
}

var right_click = function() {
    rotation = map.getRotation();
    rotation += 5;
    if (rotation > 360)
        rotation = rotation - 360;
    map.setRotation(rotation);
    draw_all();
}

var higher_mouseover = function() {
    $("#map_btn_high").removeClass('map_btn_high_off');
    $("#map_btn_high").addClass('map_btn_high_on');
}

var higher_mouseout = function() {
    $("#map_btn_high").removeClass('map_btn_high_on');
    $("#map_btn_high").addClass('map_btn_high_off');
}

var higher_click = function() {
    var pitch = map.getPitch();
    pitch -= 5;
    if (pitch < 0)
        pitch = 0;
    map.setPitch(pitch);
}

var lower_mouseover = function() {
    $("#map_btn_low").removeClass('map_btn_low_off');
    $("#map_btn_low").addClass('map_btn_low_on');
}

var lower_mouseout = function() {
    $("#map_btn_low").removeClass('map_btn_low_on');
    $("#map_btn_low").addClass('map_btn_low_off');
}

var lower_click = function() {
    var pitch = map.getPitch();
    pitch += 5;
    if (pitch > 83)
        pitch = 83;
    map.setPitch(pitch);
}

var clear_search = function() {
    SearchList = null
    show_list_cur = 0;
    $("#fp_backbtn").css("display", "none");
    firstDraw = true;
    if ($("#search_company").val().length > 0) {
        $("#search_company").val('');
        $("#company_code").val('');
        $("#saerch_company_list").html('');
    }
    if ((!LabelShow) && (StatusStore.length > 0)) {
        for (var i = 0; i < StatusStore.length; i++) {
            $("#label_" + StatusStore[i].company_code).css('display', 'none');
        }
    }
}

var update_companyList = function() {
    $("#saerch_company_list").html('');
    SearchList = null
    show_list_cur = 0;
    if ($("#search_company").val().length > 0) {
        var query = new Object();
        query.V_LOGINNAME = V_LOGINNAME;
        query.V_PASSWORD = V_PASSWORD;
        query.V_COMPANY_NAME = $("#search_company").val();
        $.ajax({
            type: 'POST',
            url: baseUrl + "/iot/company/getList",
            data: {
                queryJson: Ext.JSON.encode(query),
                sort: "[{property:'V_COMPANY_NAME',direction:'ASC'}]"
            },
            success: function(result) {
                var json = eval('(' + result + ')');
                if (json.action == 'getCompanyList') {
                    var list = json.RESULT;
                    if (list.length > 0) {
                        SearchList = list;
                        var saerch_company_list = document.getElementById('saerch_company_list');
                        var table = document.createElement('table');
                        table.border = '0';
                        table.style.width = '300px';
                        table.style.border = '0px solid #000';
                        saerch_company_list.appendChild(table);
                        for (var i = 0; i < list.length; i++) {
                            var tr = document.createElement('tr');
                            tr.style.border = '0px solid #000';
                            table.appendChild(tr);
                            var td = document.createElement('td');
                            td.id = 'company_code_list_' + list[i].V_COMPANY_CODE;
                            td.company_code = list[i].V_COMPANY_CODE;
                            td.style.border = '1px solid rgba(255,255,255,0.0)';
                            td.style.background = 'rgba(255,255,255,0.3)';
                            td.style.fontSize = '14px';
                            td.style.cursor = "pointer";
                            td.innerHTML = list[i].V_COMPANY_NAME;
                            tr.appendChild(td);
                            $("#company_code_list_" + list[i].V_COMPANY_CODE).mouseover(function() {
                                $(this).css({ "border": "1px solid rgba(64,85,98,0.7)", "background": "rgba(64,85,98,0.7)", "color": "#ffff00", "cursor": "pointer", "font-size": "14px" });
                                $("#label_" + this.company_code).css('display', 'block');
                                show_list_cur = i + 1;
                            });
                            $("#company_code_list_" + list[i].V_COMPANY_CODE).mouseout(function() {
                                $(this).css({ "border": "1px solid rgba(255,255,255,0.0)", "background": "rgba(255,255,255,0.3)", "color": "#ffffff", "cursor": "pointer", "font-size": "14px" });
                                if (!LabelShow)
                                    $("#label_" + this.company_code).css('display', 'none');
                            });
                            $("#company_code_list_" + list[i].V_COMPANY_CODE).click(function(e) {
                                showBuilding(this.company_code);
                            });
                        }
                    }
                }
            }
        });
    }
}

var key_fun = function(event) {
    var x = (navigator.appname == "Netscape") ? event.which : window.event.keyCode;
    if (x == 38) {
        if (SearchList != null) {
            if ((show_list_cur > 0) && (show_list_cur <= SearchList.length)) {
                show_list_cur--;
                for (var i = 0; i < SearchList.length; i++) {
                    $("#company_code_list_" + SearchList[i].V_COMPANY_CODE).css({ "border": "1px solid rgba(255,255,255,0.0)", "background": "rgba(255,255,255,0.3)", "color": "#ffffff", "cursor": "pointer", "font-size": "14px" });
                    var div = document.getElementById("label_" + SearchList[i].V_COMPANY_CODE);
                    if (!LabelShow) {
                        if (div != undefined)
                            div.style.display = 'none';
                    }
                    if (i == (show_list_cur - 1)) {
                        $("#company_code_list_" + SearchList[i].V_COMPANY_CODE).css({ "border": "1px solid rgba(64,85,98,0.7)", "background": "rgba(64,85,98,0.7)", "color": "#ffff00", "cursor": "pointer", "font-size": "14px" });
                        if (div != undefined)
                            div.style.display = 'block';
                    }
                }
            }
        }
    } else if (x == 40) {
        if (SearchList != null) {
            if ((show_list_cur >= 0) && (show_list_cur < SearchList.length)) {
                show_list_cur++;
                for (var i = 0; i < SearchList.length; i++) {
                    $("#company_code_list_" + SearchList[i].V_COMPANY_CODE).css({ "border": "1px solid rgba(255,255,255,0.0)", "background": "rgba(255,255,255,0.3)", "color": "#ffffff", "cursor": "pointer", "font-size": "14px" });
                    var div = document.getElementById("label_" + SearchList[i].V_COMPANY_CODE);
                    if (!LabelShow) {
                        if (div != undefined)
                            div.style.display = 'none';
                    }
                    if (i == (show_list_cur - 1)) {
                        $("#company_code_list_" + SearchList[i].V_COMPANY_CODE).css({ "border": "1px solid rgba(64,85,98,0.7)", "background": "rgba(64,85,98,0.7)", "color": "#ffff00", "cursor": "pointer", "font-size": "14px" });
                        if (div != undefined)
                            div.style.display = 'block';
                    }
                }
            }
        }
    } else if (x == 13) {
        if (SearchList != null) {
            if ((show_list_cur >= 0) && (show_list_cur <= SearchList.length)) {
                showBuilding(SearchList[show_list_cur - 1].V_COMPANY_CODE);
            }
        }
    } else if (x == 27) {
        clear_search();
    }
}

var chk_lat = function(lat) {
    if (lat < 30)
        return false;
    if (lat > 32)
        return false;
    return true;
}

var chk_lng = function(lng) {
    if (lng < 110)
        return false;
    if (lng > 135)
        return false;
    return true;
}

var showBuilding = function(company_code) {
    if ((StatusStore != null) && (StatusStore.length > 0)) {
        for (var i = 0; i < StatusStore.length; i++) {
            if (StatusStore[i].company_code == company_code) {
                map.setCenter(new AMap.LngLat(StatusStore[i].lng, StatusStore[i].lat, true));
                map.setPitch(83);
                map.setZoom(18);
                $("#data_number_11").html(StatusStore[i].d1a);
                $("#data_number_12").html(StatusStore[i].d1a - StatusStore[i].d1ac);
                $("#data_number_21").html(StatusStore[i].d7a);
                $("#data_number_22").html(StatusStore[i].d7a - StatusStore[i].d7ac);
                $("#data_number_31").html(StatusStore[i].d2a);
                $("#data_number_32").html(StatusStore[i].d2a - StatusStore[i].d2ac);

                if (V_LOGINNAME == 'ypxy') {
                    var query = new Object();
                    query.V_LOGINNAME = V_LOGINNAME;
                    query.V_PASSWORD = V_PASSWORD;
                    query.dwtype = '2';
                    query.COMMSTATUS = 'NO';
                    if ((company_code != null) && (company_code != 'null') && (company_code.length > 0))
                        query.company_code = company_code;
                    $.ajax({
                        type: 'POST',
                        url: baseUrl + "iot/alarm/view/getConfirmStatusByDays",
                        data: {
                            queryJson: Ext.JSON.encode(query)
                        },
                        success: function(result) {
                            var json = eval('(' + result + ')');
                            if (json.action == 'getConfirmStatusByDays') {
                                if (json.check == 'true') {
                                    ConfirmStore = json.RESULT;
                                    if (json.company_name != null)
                                        companyName = json.company_name;
                                    else
                                        companyName = null;
                                    for (var i = 0; i < ConfirmStore.length; i++) {
                                        if (ConfirmStore[i].id == 'water_alarm') {
                                            $("#data_number_41").html(ConfirmStore[i].count);
                                            $("#data_number_42").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                            draw_pie('data_pie_4', ConfirmStore[i].count, ConfirmStore[i].sum);

                                            //							        		$("#device_count_num_41").html(StatusStore[i].d6);
                                            $("#device_count_num_42").html(ConfirmStore[i].count);
                                            $("#device_count_num_43").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                            if (ConfirmStore[i].count == 0)
                                                $("#device_count_num_44").html('100%');
                                            else
                                                $("#device_count_num_44").html(toDecimal(ConfirmStore[i].sum * 100 / ConfirmStore[i].count) + '%');
                                            if (ConfirmStore[i].count != 0)
                                                $("#device_confirm_44").css('width', (280 * ConfirmStore[i].sum / ConfirmStore[i].count) + 'px');
                                            else
                                                $("#device_confirm_44").css('width', '280px');

                                            $("#data_number_51").html(0);
                                            $("#data_number_52").html(0);
                                            draw_pie('data_pie_5', 0, 0);
                                            $("#device_count_num_52").html(0);
                                            $("#device_count_num_53").html(0);
                                            $("#device_count_num_54").html('100%');
                                            $("#device_confirm_54").css('width', '280px');
                                        }
                                    }
                                } else {
                                    Ext.Msg.alert('错误信息', '访问权限错误，请重新登录', function() {
                                        window.parent.document.location = baseUrl;
                                    });
                                }
                            }
                        }
                    });
                } else {
                    $("#data_number_41").html(StatusStore[i].d6a);
                    $("#data_number_42").html(StatusStore[i].d6a - StatusStore[i].d6ac);
                    draw_pie('data_pie_4', StatusStore[i].d6a, StatusStore[i].d6ac);
                    $("#device_count_num_41").html(StatusStore[i].d6);
                    $("#device_count_num_42").html(StatusStore[i].d6oc);
                    $("#device_count_num_43").html(StatusStore[i].d6o - StatusStore[i].d6oc);
                    if (StatusStore[i].d6o == 0)
                        $("#device_count_num_44").html('100%');
                    else
                        $("#device_count_num_44").html(toDecimal(StatusStore[i].d6oc * 100 / StatusStore[i].d6o) + '%');
                    if (StatusStore[i].d6o != 0)
                        $("#device_confirm_44").css('width', (280 * StatusStore[i].d6oc / StatusStore[i].d6o) + 'px');
                    else
                        $("#device_confirm_44").css('width', '280px');
                }


                draw_pie('data_pie_1', StatusStore[i].d1a, StatusStore[i].d1ac);
                draw_pie('data_pie_2', StatusStore[i].d7a, StatusStore[i].d7ac);
                draw_pie('data_pie_3', StatusStore[i].d2a, StatusStore[i].d2ac);

                $("#device_count_num_11").html(StatusStore[i].d1);
                $("#device_count_num_12").html(StatusStore[i].d1oc);
                $("#device_count_num_13").html(StatusStore[i].d1o - StatusStore[i].d1oc);
                if (StatusStore[i].d1o == 0)
                    $("#device_count_num_14").html('100%');
                else
                    $("#device_count_num_14").html(toDecimal(StatusStore[i].d1oc * 100 / StatusStore[i].d1o) + '%');
                $("#device_count_num_21").html(StatusStore[i].d7);
                $("#device_count_num_22").html(StatusStore[i].d7oc);
                $("#device_count_num_23").html(StatusStore[i].d7o - StatusStore[i].d7oc);
                if (StatusStore[i].d7o == 0)
                    $("#device_count_num_24").html('100%');
                else
                    $("#device_count_num_24").html(toDecimal(StatusStore[i].d7oc * 100 / StatusStore[i].d7o) + '%');
                $("#device_count_num_31").html(StatusStore[i].d2);
                $("#device_count_num_32").html(StatusStore[i].d2oc);
                $("#device_count_num_33").html(StatusStore[i].d2o - StatusStore[i].d2oc);
                if (StatusStore[i].d2o == 0)
                    $("#device_count_num_34").html('100%');
                else
                    $("#device_count_num_34").html(toDecimal(StatusStore[i].d2oc * 100 / StatusStore[i].d2o) + '%');

                if (StatusStore[i].d1o != 0) {
                    $("#device_confirm_14").css('width', (280 * StatusStore[i].d1oc / StatusStore[i].d1o) + 'px');
                } else
                    $("#device_confirm_14").css('width', '280px');
                if (StatusStore[i].d7o != 0)
                    $("#device_confirm_24").css('width', (280 * StatusStore[i].d7oc / StatusStore[i].d7o) + 'px');
                else
                    $("#device_confirm_24").css('width', '280px');
                if (StatusStore[i].d2o != 0)
                    $("#device_confirm_34").css('width', (280 * StatusStore[i].d2oc / StatusStore[i].d2o) + 'px');
                else
                    $("#device_confirm_34").css('width', '280px');

                $("#label_" + company_code).css('display', 'block');
                break;
            }
        }
    }
}

var clear_detail_info = function() {
    var d0 = 0,
        d0o = 0,
        d0oc = 0,
        d0a = 0,
        d0ac = 0;
    var d1 = 0,
        d1o = 0,
        d1oc = 0,
        d1a = 0,
        d1ac = 0;
    var d2 = 0,
        d2o = 0,
        d2oc = 0,
        d2a = 0,
        d2ac = 0;
    var d6 = 0,
        d6o = 0,
        d6oc = 0,
        d6a = 0,
        d6ac = 0;
    var d7 = 0,
        d7o = 0,
        d7oc = 0,
        d7a = 0,
        d7ac = 0;
    var detail_info = document.getElementById('detail_info');
    var parent = document.getElementById('container');
    if (detail_info != undefined) {
        parent.removeChild(detail_info);
        current_company_code = "";
        for (var i = 0; i < StatusStore.length; i++) {
            var obj = StatusStore[i];
            d1 += obj.d1;
            d1o += obj.d1o;
            d1a += obj.d1a;
            d1oc += obj.d1oc;
            d1ac += obj.d1ac;
            d2 += obj.d2;
            d2o += obj.d2o;
            d2a += obj.d2a;
            d2oc += obj.d2oc;
            d2ac += obj.d2ac;
            d6 += obj.d6;
            d6o += obj.d6o;
            d6a += obj.d6a;
            d6oc += obj.d6oc;
            d6ac += obj.d6ac;
            d7 += obj.d7;
            d7o += obj.d7o;
            d7a += obj.d7a;
            d7oc += obj.d7oc;
            d7ac += obj.d7ac;
        }
        $("#data_number_11").html(d1a);
        $("#data_number_12").html(d1a - d1ac);
        $("#data_number_21").html(d7a);
        $("#data_number_22").html(d7a - d7ac);
        $("#data_number_31").html(d2a);
        $("#data_number_32").html(d2a - d2ac);

        if (V_LOGINNAME == 'ypxy') {
            var query = new Object();
            query.V_LOGINNAME = V_LOGINNAME;
            query.V_PASSWORD = V_PASSWORD;
            query.dwtype = '2';
            query.COMMSTATUS = 'NO';
            if ((company_code != null) && (company_code != 'null') && (company_code.length > 0))
                query.company_code = company_code;
            $.ajax({
                type: 'POST',
                url: baseUrl + "iot/alarm/view/getConfirmStatusByDays",
                data: {
                    queryJson: Ext.JSON.encode(query)
                },
                success: function(result) {
                    var json = eval('(' + result + ')');
                    if (json.action == 'getConfirmStatusByDays') {
                        if (json.check == 'true') {
                            ConfirmStore = json.RESULT;
                            if (json.company_name != null)
                                companyName = json.company_name;
                            else
                                companyName = null;
                            for (var i = 0; i < ConfirmStore.length; i++) {
                                if (ConfirmStore[i].id == 'water_alarm') {
                                    $("#data_number_41").html(ConfirmStore[i].count);
                                    $("#data_number_42").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                    draw_pie('data_pie_4', ConfirmStore[i].count, ConfirmStore[i].sum);

                                    //					        		$("#device_count_num_41").html(StatusStore[i].d6);
                                    $("#device_count_num_42").html(ConfirmStore[i].count);
                                    $("#device_count_num_43").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                    if (ConfirmStore[i].count == 0)
                                        $("#device_count_num_44").html('100%');
                                    else
                                        $("#device_count_num_44").html(toDecimal(ConfirmStore[i].sum * 100 / ConfirmStore[i].count) + '%');
                                    if (ConfirmStore[i].count != 0)
                                        $("#device_confirm_44").css('width', (280 * ConfirmStore[i].sum / ConfirmStore[i].count) + 'px');
                                    else
                                        $("#device_confirm_44").css('width', '280px');
                                    $("#data_number_51").html(0);
                                    $("#data_number_52").html(0);
                                    draw_pie('data_pie_5', 0, 0);
                                    $("#device_count_num_52").html(0);
                                    $("#device_count_num_53").html(0);
                                    $("#device_count_num_54").html('100%');
                                    $("#device_confirm_54").css('width', '280px');
                                }
                            }
                        } else {
                            Ext.Msg.alert('错误信息', '访问权限错误，请重新登录', function() {
                                window.parent.document.location = baseUrl;
                            });
                        }
                    }
                }
            });
        } else {
            $("#data_number_41").html(d6a);
            $("#data_number_42").html(d6a - d6ac);
            draw_pie('data_pie_4', d6a, d6ac);
            $("#device_count_num_41").html(d6);
            $("#device_count_num_42").html(d6oc);
            $("#device_count_num_43").html(d6o - d6oc);
            if (d6o == 0)
                $("#device_count_num_44").html('100%');
            else
                $("#device_count_num_44").html(toDecimal(d6oc * 100 / d6o) + '%');
            if (d6o != 0)
                $("#device_confirm_44").css('width', (280 * d6oc / d6o) + 'px');
            else
                $("#device_confirm_44").css('width', '280px');
        }


        draw_pie('data_pie_1', d1a, d1ac);
        draw_pie('data_pie_2', d7a, d7ac);
        draw_pie('data_pie_3', d2a, d2ac);

        $("#device_count_num_11").html(d1);
        $("#device_count_num_12").html(d1oc);
        $("#device_count_num_13").html(d1o - d1oc);
        if (d1o == 0)
            $("#device_count_num_14").html('100%');
        else
            $("#device_count_num_14").html(toDecimal(d1oc * 100 / d1o) + '%');
        $("#device_count_num_21").html(d7);
        $("#device_count_num_22").html(d7oc);
        $("#device_count_num_23").html(d7o - d7oc);
        if (d7o == 0)
            $("#device_count_num_24").html('100%');
        else
            $("#device_count_num_24").html(toDecimal(d7oc * 100 / d7o) + '%');
        $("#device_count_num_31").html(d2);
        $("#device_count_num_32").html(d2oc);
        $("#device_count_num_33").html(d2o - d2oc);
        if (d2o == 0)
            $("#device_count_num_34").html('100%');
        else
            $("#device_count_num_34").html(toDecimal(d2oc * 100 / d2o) + '%');

        if (d1o != 0) {
            $("#device_confirm_14").css('width', (280 * d1oc / d1o) + 'px');
        } else
            $("#device_confirm_14").css('width', '280px');
        if (d7o != 0)
            $("#device_confirm_24").css('width', (280 * d7oc / d7o) + 'px');
        else
            $("#device_confirm_24").css('width', '280px');
        if (d2o != 0)
            $("#device_confirm_34").css('width', (280 * d2oc / d2o) + 'px');
        else
            $("#device_confirm_34").css('width', '280px');

        $(".alarm_tab_area").remove();
        if ((AlarmStore != null) && (AlarmStore.length > 0)) {
            var parent = document.getElementById('container');
            AlarmStore.sort(alarmSortByTime);
            var area = document.createElement('div');
            area.id = 'alarm_tab_area';
            area.setAttribute('class', 'alarm_tab_area');
            parent.appendChild(area);
            for (var i = 0; i < AlarmStore.length; i++) {
                if (i >= 6)
                    break;
                var tab = document.createElement('div');
                tab.id = 'alarm_tab_' + (i + 1);
                tab.setAttribute('class', 'alarm_tab');
                tab.setAttribute('onclick', (AlarmStore[i].dwtype == 1) ? 'show_all_fireAlarm()' :
                    (AlarmStore[i].dwtype == 2) ? 'show_all_waterAlarm()' :
                    (AlarmStore[i].dwtype == 5) ? 'show_all_waterAlarm()' :
                    (AlarmStore[i].dwtype == 6) ? 'show_all_rtuAlarm()' :
                    (AlarmStore[i].dwtype == 7) ? 'show_all_efireAlarm()' : '#');
                tab.style.top = (120 * i) + 'px';
                if (($(document).innerHeight() - 205) > (120 * (i + 1)))
                    $('#alarm_tab_area').css('height', ($(document).innerHeight() - 205) + 'px');
                else
                    $('#alarm_tab_area').css('height', ($(document).innerHeight() - 205) + 'px');
                area.appendChild(tab);
                var title = document.createElement('div');
                title.id = 'alarm_tab_title_' + (i + 1);
                title.setAttribute('class', 'alarm_tab_title');
                title.innerHTML = (AlarmStore[i].dwtype == 1) ? '火警监测报告' :
                    (AlarmStore[i].dwtype == 2) ? '水系统监测报告' :
                    (AlarmStore[i].dwtype == 5) ? '水系统监测报告' :
                    (AlarmStore[i].dwtype == 6) ? 'RTU监测报告' :
                    (AlarmStore[i].dwtype == 7) ? '电气火灾监测报告' : '其他报告';
                tab.appendChild(title);
                var time_label = document.createElement('div');
                time_label.id = 'alarm_tab_time_' + (i + 1);
                time_label.setAttribute('class', 'alarm_tab_time');
                time_label.innerHTML = AlarmStore[i].time;
                tab.appendChild(time_label);
                var data = document.createElement('div');
                data.id = "alarm_tab_data_" + (i + 1);
                data.setAttribute('class', 'alarm_tab_data');
                data.innerHTML = AlarmStore[i].company_name + ' ' + AlarmStore[i].data;
                tab.appendChild(data);
                var icon = document.createElement('img');
                icon.setAttribute('class', 'alarm_tab_icon');
                icon.height = '66';
                icon.width = '66';
                icon.src = baseUrl + 'res/img/icons/' + ((AlarmStore[i].dwtype == 1) ? 'alarm_tab_01.gif' :
                    (AlarmStore[i].dwtype == 2) ? 'alarm_tab_03.gif' :
                    (AlarmStore[i].dwtype == 5) ? 'alarm_tab_03.gif' :
                    (AlarmStore[i].dwtype == 6) ? 'alarm_tab_04.gif' :
                    (AlarmStore[i].dwtype == 7) ? 'alarm_tab_02.gif' : 'alarm_tab_04.gif');
                //				var icon = document.createElement('div');
                //				icon.id = "alarm_tab_icon_"+(i+1);
                //				icon.setAttribute('class',(AlarmStore[i].dwtype==1)?'alarm_tab_icon alarm_icon_01':
                //					(AlarmStore[i].dwtype==2)?'alarm_tab_icon alarm_icon_03':
                //						(AlarmStore[i].dwtype==5)?'alarm_tab_icon alarm_icon_03':
                //							(AlarmStore[i].dwtype==6)?'alarm_tab_icon alarm_icon_04':
                //								(AlarmStore[i].dwtype==7)?'alarm_tab_icon alarm_icon_02':'alarm_tab_icon alarm_icon_04');
                tab.appendChild(icon);
            }
        }
    }
}

var showInfo = function(e) {
    var pixel = e.pixel;
    var company_code = e.target.getExtData().company_code;
    var detail_info;
    var parent = document.getElementById('container')
    for (var i = 0; i < StatusStore.length; i++) {
        if (StatusStore[i].company_code == company_code) {
            if (current_company_code == company_code)
                return;
            clear_detail_info();
            current_company_code = company_code;
            var qobj = new Object();
            qobj.V_LOGINNAME = $("#V_LOGINNAME").val();
            qobj.V_PASSWORD = $("#V_PASSWORD").val();
            qobj.V_COMPANYID = company_code;
            qobj.I_COMMAND = 4;
            var qdata = "queryJson=" + JSON.stringify(qobj);
            var qurl = 'https://aiot.usky.cn:8443/YtIoT/cgi-bin/WebAction2.cgi';
            $.ajax({
                type: 'POST',
                url: qurl,
                data: qdata,
                success: function(result) {
                    var json = eval('(' + result + ')');
                    if (json.action == 'getAlarmList') {
                        $(".alarm_tab_area").remove();
                        if ((json.ALARM == undefined) || (json.ALARM.length == 0))
                            return;
                        var parent = document.getElementById('container');
                        json.ALARM.sort(alarmSortByTime);
                        var area = document.createElement('div');
                        area.id = 'alarm_tab_area';
                        area.setAttribute('class', 'alarm_tab_area');
                        parent.appendChild(area);
                        for (var i = 0; i < json.ALARM.length; i++) {
                            if (i >= 6)
                                break;
                            var tab = document.createElement('div');
                            tab.id = 'alarm_tab_' + (i + 1);
                            tab.setAttribute('class', 'alarm_tab');
                            tab.setAttribute('onclick', (json.ALARM[i].dwtype == 1) ? 'show_all_fireAlarm()' :
                                (AlarmStore[i].dwtype == 2) ? 'show_all_waterAlarm()' :
                                (AlarmStore[i].dwtype == 5) ? 'show_all_waterAlarm()' :
                                (AlarmStore[i].dwtype == 6) ? 'show_all_rtuAlarm()' :
                                (AlarmStore[i].dwtype == 7) ? 'show_all_efireAlarm()' : '#');
                            tab.style.top = (120 * i) + 'px';
                            if (($(document).innerHeight() - 205) > (120 * (i + 1)))
                                $('#alarm_tab_area').css('height', ($(document).innerHeight() - 205) + 'px');
                            else
                                $('#alarm_tab_area').css('height', ($(document).innerHeight() - 205) + 'px');
                            area.appendChild(tab);
                            var title = document.createElement('div');
                            title.id = 'alarm_tab_title_' + (i + 1);
                            title.setAttribute('class', 'alarm_tab_title');
                            title.innerHTML = (json.ALARM[i].dwtype == 1) ? '火警监测报告' :
                                (json.ALARM[i].dwtype == 2) ? '水系统监测报告' :
                                (json.ALARM[i].dwtype == 5) ? '水系统监测报告' :
                                (json.ALARM[i].dwtype == 6) ? 'RTU监测报告' :
                                (json.ALARM[i].dwtype == 7) ? '电气火灾监测报告' : '其他报告';
                            tab.appendChild(title);
                            var time_label = document.createElement('div');
                            time_label.id = 'alarm_tab_time_' + (i + 1);
                            time_label.setAttribute('class', 'alarm_tab_time');
                            time_label.innerHTML = json.ALARM[i].time;
                            tab.appendChild(time_label);
                            var data = document.createElement('div');
                            data.id = "alarm_tab_data_" + (i + 1);
                            data.setAttribute('class', 'alarm_tab_data');
                            data.innerHTML = json.ALARM[i].company_name + ' ' + json.ALARM[i].data;
                            tab.appendChild(data);
                            var icon = document.createElement('img');
                            icon.setAttribute('class', 'alarm_tab_icon');
                            icon.height = '66';
                            icon.width = '66';
                            icon.src = baseUrl + 'res/img/icons/' + ((json.ALARM[i].dwtype == 1) ? 'alarm_tab_01.gif' :
                                (json.ALARM[i].dwtype == 2) ? 'alarm_tab_03.gif' :
                                (json.ALARM[i].dwtype == 5) ? 'alarm_tab_03.gif' :
                                (json.ALARM[i].dwtype == 6) ? 'alarm_tab_04.gif' :
                                (json.ALARM[i].dwtype == 7) ? 'alarm_tab_02.gif' : 'alarm_tab_04.gif');
                            tab.appendChild(icon);
                        }
                    }
                }

            });
            detail_info = document.createElement('div');
            detail_info.id = 'detail_info';
            detail_info.style.position = 'absolute';
            detail_info.style.top = (pixel.getY() - 270) + 'px';
            detail_info.style.left = (pixel.getX() - 101) + 'px';
            detail_info.style.width = '203px';
            detail_info.style.height = '270px';
            detail_info.style.backgroundImage = 'url(../../res/img/icons/detail_info.png)';
            detail_info.style.zIndex = '500';
            detail_info.onmouseleave = clear_detail_info;
            parent.appendChild(detail_info);
            var info_title = document.createElement('div');
            info_title.id = 'info_title';
            info_title.setAttribute('class', 'info_title');
            info_title.innerHTML = '<div style="display：inline-block;vertical-align:middle;align-self:center;">' + StatusStore[i].company_name + '</div>';
            detail_info.appendChild(info_title);
            var info_body0 = document.createElement('div');
            info_body0.id = 'info_body0';
            info_body0.setAttribute('class', 'info_body0');
            info_body0.innerHTML = '地址：' + StatusStore[i].address;
            detail_info.appendChild(info_body0);
            var info_body1 = document.createElement('div');
            info_body1.id = 'info_body1';
            info_body1.setAttribute('class', 'info_body1');
            info_body1.innerHTML = '联系人：' + StatusStore[i].username;
            detail_info.appendChild(info_body1);
            var info_body2 = document.createElement('div');
            info_body2.id = 'info_body2';
            info_body2.setAttribute('class', 'info_body2');
            info_body2.innerHTML = '联系电话：' + StatusStore[i].phone;
            detail_info.appendChild(info_body2);
            var info_btn = document.createElement('div');
            info_btn.id = 'info_btn';
            info_btn.setAttribute('class', 'info_btn');
            info_btn.innerHTML = '查看详情';
            info_btn.company_code = company_code;
            info_btn.onclick = function(e) {
                var event = e;
                location.href = baseUrl + 'view/frontpage/company.jsp?company_code=' + event.currentTarget.company_code;
            }
            detail_info.appendChild(info_btn);

            //			var info_btn1 = document.createElement('div');
            //			info_btn1.id = 'info_btn1';
            //			info_btn1.setAttribute('class','info_btn');
            //			info_btn1.innerHTML='历史数据';
            //			info_btn1.company_code=company_code;
            //			info_btn1.onclick=function(e){
            //				var event = e;
            //				location.href = baseUrl+'view/frontpage/company.jsp?company_code='+event.currentTarget.company_code;
            //			}
            //			detail_info.appendChild(info_btn1);

            $("#data_number_11").html(StatusStore[i].d1a);
            $("#data_number_12").html(StatusStore[i].d1a - StatusStore[i].d1ac);
            $("#data_number_21").html(StatusStore[i].d7a);
            $("#data_number_22").html(StatusStore[i].d7a - StatusStore[i].d7ac);
            $("#data_number_31").html(StatusStore[i].d2a);
            $("#data_number_32").html(StatusStore[i].d2a - StatusStore[i].d2ac);

            if (V_LOGINNAME == 'ypxy') {
                var query = new Object();
                query.V_LOGINNAME = V_LOGINNAME;
                query.V_PASSWORD = V_PASSWORD;
                query.dwtype = '2';
                query.COMMSTATUS = 'NO';
                if ((company_code != null) && (company_code != 'null') && (company_code.length > 0))
                    query.company_code = company_code;
                $.ajax({
                    type: 'POST',
                    url: baseUrl + "iot/alarm/view/getConfirmStatusByDays",
                    data: {
                        queryJson: Ext.JSON.encode(query)
                    },
                    success: function(result) {
                        var json = eval('(' + result + ')');
                        if (json.action == 'getConfirmStatusByDays') {
                            if (json.check == 'true') {
                                ConfirmStore = json.RESULT;
                                if (json.company_name != null)
                                    companyName = json.company_name;
                                else
                                    companyName = null;
                                for (var i = 0; i < ConfirmStore.length; i++) {
                                    if (ConfirmStore[i].id == 'water_alarm') {
                                        $("#data_number_41").html(ConfirmStore[i].count);
                                        $("#data_number_42").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                        draw_pie('data_pie_4', ConfirmStore[i].count, ConfirmStore[i].sum);

                                        $("#dev4_count").html(3);
                                        $("#device_count_num_42").html(ConfirmStore[i].sum);
                                        $("#dev4-label-hidden").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                        $("#device_count_num_43").html(ConfirmStore[i].count - ConfirmStore[i].sum);
                                        if (ConfirmStore[i].count == 0)
                                            $("#device_count_num_44").html('100%');
                                        else
                                            $("#device_count_num_44").html(toDecimal(ConfirmStore[i].sum * 100 / ConfirmStore[i].count) + '%');
                                        if (ConfirmStore[i].count != 0)
                                            $("#device_confirm_44").css('width', (300 * ConfirmStore[i].sum / ConfirmStore[i].count) + 'px');
                                        else
                                            $("#device_confirm_44").css('width', '300px');
                                        $("#data_number_51").html(0);
                                        $("#data_number_52").html(0);
                                        draw_pie('data_pie_5', 0, 0);
                                        $("#dev5_count").html(3);
                                        $("#device_count_num_52").html(0);
                                        $("#dev5-label-hidden").html(0);
                                        $("#device_count_num_53").html(0);
                                        $("#device_count_num_54").html('100%');
                                        $("#device_confirm_54").css('width', '300px');
                                    }
                                }
                            } else {
                                Ext.Msg.alert('错误信息', '访问权限错误，请重新登录', function() {
                                    window.parent.document.location = baseUrl;
                                });
                            }
                        }
                    }
                });
            } else {
                $("#data_number_41").html(StatusStore[i].d6a);
                $("#data_number_42").html(StatusStore[i].d6a - StatusStore[i].d6ac);
                draw_pie('data_pie_4', StatusStore[i].d6a, StatusStore[i].d6ac);
                $("#dev4_count").html(StatusStore[i].d6);
                $("#device_count_num_42").html(StatusStore[i].d6oc);
                $("#dev4-label-hidden").html(StatusStore[i].d6o - StatusStore[i].d6oc);
                $("#device_count_num_43").html(StatusStore[i].d6o - StatusStore[i].d6oc);
                if (StatusStore[i].d6o == 0)
                    $("#device_count_num_44").html('100%');
                else
                    $("#device_count_num_44").html(toDecimal(StatusStore[i].d6oc * 100 / StatusStore[i].d6o) + '%');
                if (StatusStore[i].d6o != 0)
                    $("#device_confirm_44").css('width', (300 * StatusStore[i].d6oc / StatusStore[i].d6o) + 'px');
                else
                    $("#device_confirm_44").css('width', '300px');
            }


            draw_pie('data_pie_1', StatusStore[i].d1a, StatusStore[i].d1ac);
            draw_pie('data_pie_2', StatusStore[i].d7a, StatusStore[i].d7ac);
            draw_pie('data_pie_3', StatusStore[i].d2a, StatusStore[i].d2ac);

            $("#dev1_count").html(StatusStore[i].d1);
            $("#device_count_num_12").html(StatusStore[i].d1oc);
            $("#dev1-label-hidden").html(StatusStore[i].d1o - StatusStore[i].d1oc);
            $("#device_count_num_13").html(StatusStore[i].d1o - StatusStore[i].d1oc);
            if (StatusStore[i].d1o == 0)
                $("#device_count_num_14").html('100%');
            else
